Module java.base
Package java.util

# Class IllegalFormatCodePointException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.util.IllegalFormatException
java.util.IllegalFormatCodePointException

All Implemented Interfaces:
  `Serializable`

public non-sealed class IllegalFormatCodePointException extends IllegalFormatException
Unchecked exception thrown when a character with an invalid Unicode code point as defined by `Character.isValidCodePoint(int)` is passed to the `Formatter`.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalFormatCodePointException(int c)`
Constructs an instance of this class with the specified illegal code point as defined by `Character.isValidCodePoint(int)`.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCodePoint()`
Returns the illegal code point as defined by `Character.isValidCodePoint(int)`.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalFormatCodePointException

public IllegalFormatCodePointException(int c)
Constructs an instance of this class with the specified illegal code point as defined by `Character.isValidCodePoint(int)`.

Parameters:
  `c` - The illegal Unicode code point

## Method Details

### getCodePoint

public int getCodePoint()
Returns the illegal code point as defined by `Character.isValidCodePoint(int)`.

Returns:
  The illegal Unicode code point